Name: kde-utils-kfloppy
Summary: Formats disks and puts a DOS or ext2fs filesystem
Version: 15.04.3
Release: %mkrel 1
Group:	 Graphical desktop/KDE4
License: GPLv2+
URL:     http://utils.kde.org/projects/%{name}
Source0: http://download.kde.org/stable/%{version}/src/kfloppy-%{version}.tar.xz
BuildRequires: kdelibs-devel
Requires: kdelibs

%description
KFloppy was "done and feature complete and bug free", for systems
running Linux. Other KDE platforms had an app that put up a warning
box and was then totally inert. I've restructured the whole thing,
cleaned up the code somewhat, and modularized it. 

Currently KFloppy is tested on a FBSD machine with a floppy drive
and a zip drive. It should still behave on Linux, but I haven't tried.

%files
%defattr(-,root,root)
%_kde_bindir/kfloppy
%_kde_datadir/applications/kde4/KFloppy.desktop
%_kde_docdir/HTML/*/kfloppy
%_kde_iconsdir/hicolor/*/apps/kfloppy.png

%prep
%setup -q -n kfloppy-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/KFloppy.desktop

%clean
rm -fr %buildroot

%changelog
* Wed Jul 22 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Tue Mar 10 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
